D4Science Infrastructure - Incident #10004

ckan-sobigdata2 fails to restart because it cannot find the oaipmh plugin

Oct 22,2017 11:27 AM - Andrea Dell'Amico

Status: Closed Start date: Oct 22, 2017
Priority: Urgent Due date:

Assignee: Francesco Mangiacrapa % Done: 100%
Category: System Application Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Production

Description

The apache reload after the log rotation failed with the following error:

[Sun Oct 22 06:25:12.451876 2017] [:error] [pid 25301:

] Traceback (most recent call last):

[Sun Oct 22 06:25:12.451891 2017] [:error] [pid 25301:

] File "/etc/ckan/default/apache.wsgi", line 10, in
[Sun Oct 22 06:25:12.451956 2017] [:error] [pid 25301

o)

tid 139879935280896]

tid 139879935280896]
<module>

:tid 139879935280896]

] _application = loadapp('config:%$s' % config_filepath)

[Sun Oct 22 06:25:12.451971 2017] [:error] [pid 25301:
] File "/usr/lib/ckan/default/lib/python2.7/site-packages/paste/deploy/loadwsgi.py",

n loadapp

[Sun Oct 22 06:25:12.452206 2017] [:error] [pid 25301:

] return loadobj (APP, uri, name=name, **kw)

[Sun Oct 22 06:25:12.452223 2017] [:error] [pid 25301:
] File "/usr/lib/ckan/default/lib/python2.7/site-packages/paste/deploy/loadwsgi.py",

n loadobj

[Sun Oct 22 06:25:12.452240 2017] [:error] [pid 25301:

] return context.create ()

[Sun Oct 22 06:25:12.452247 2017] [:error] [pid 25301:
] File "/usr/lib/ckan/default/lib/python2.7/site-packages/paste/deploy/loadwsgi.py",

n create

[Sun Oct 22 06:25:12.452258 2017] [:error] [pid 25301:

] return self.object_type.invoke (self)

[Sun Oct 22 06:25:12.452264 2017] [:error] [pid 25301:
] File "/usr/lib/ckan/default/lib/python2.7/site-packages/paste/deploy/loadwsgi.py",

n invoke

[Sun Oct 22 06:25:12.452274 2017] [:error] [pid 25301:
] return fix_call (context.object, context.global_conf,
[Sun Oct 22 06:25:12.452288 2017] [:error] [pid 25301:

_call

[Sun Oct 22 06:25:12.452343 2017] [:error] [pid 25301:

] val = callable(*args, **kw)

[Sun Oct 22 06:25:12.452356 2017] [:error] [pid 25301:

[Sun Oct 22 06:25:12.452431 2017] [:error] [pid 25301:

] load_environment (conf, app_conf)

[Sun Oct 22 06:25:12.452449 2017] [:error] [pid 25301:
] File "/usr/lib/ckan/default/src/ckan/ckan/config/environment.py",
[Sun Oct 22 06:25:12.452554 2017] [:error] [pid 25301:

] p.load_all()

[Sun Oct 22 06:25:12.452571 2017] [:error] [pid 25301:

tid 139879935280896]

tid 139879935280896]

tid 139879935280896]

tid 139879935280896]

tid 139879935280896]

tid 139879935280896]

tid 139879935280896]

tid 139879935280896]

tid 139879935280896]

tid 139879935280896]

tid 139879935280896]

tid 139879935280896]

tid 139879935280896]

tid 139879935280896]

tid 139879935280896]

] File "/usr/lib/ckan/default/src/ckan/ckan/plugins/core.py", line 139,

[Sun Oct 22 06:25:12.452653 2017] [:error] [pid 25301:

] load (*plugins)

tid 139879935280896]

[Sun Oct 22 06:25:12.452661 2017] [:error] [pid 25301:tid 139879935280896]
] File "/usr/lib/ckan/default/src/ckan/ckan/plugins/core.py", line 153,
[Sun Oct 22 06:25:12.452675 2017] [:error] [pid 25301:tid 139879935280896]

] service = _get_service (plugin)

[Sun Oct 22 06:25:12.452681 2017] [:error] [pid 25301:tid 139879935280896]
] File "/usr/lib/ckan/default/src/ckan/ckan/plugins/core.py", line 256,
line 97,

[remote 127.0.0.1:20573

[remote 127.0.0.1:20573

[remote 127.0.0.1:20573

[remote 127.0.0.1:20573

line 247, i

[remote 127.0.0.1:20573

[remote 127.0.0.1:20573

line 272, 1

[remote 127.0.0.1:20573

[remote 127.0.0.1:20573

line 710, i

[remote 127.0.0.1:20573

[remote 127.0.0.1:20573

line 146, 1

[remote 127.0.0.1:20573

**context.local_conf)

[remote 127.0.0.1:20573
] File "/usr/lib/ckan/default/lib/python2.7/site-packages/paste/deploy/util.py", line 55,

in fix

[remote 127.0.0.1:20573

[remote 127.0.0.1:20573
3 n 3 . . . . " . .
_ _ 14 4 p—
] File "/usr/lib/ckan/default/src/ckan/ckan/config/middleware/__init Py line 45, in make_app
[remote 127.0.0.1:20573

[remote 127.0.0.1:20573

[remote 127.0.0.

[remote 127.0.0.
in load_all
[remote 127.0.0.

[remote 127.0.0.
in load
[remote 127.0.0.

[remote 127.0.0.
in _get_service

1

1

1/2

in load_environment

:20573

:20573

:20573

:20573

:20573

:20573




[Sun Oct 22 06:25:12.452692 2017] [:error] [pid 25301:tid 139879935280896] [remote 127.0.0.1:20573
] raise PluginNotFoundException (plugin_name)

[Sun Oct 22 06:25:12.452707 2017] [:error] [pid 25301:tid 139879935280896] [remote 127.0.0.1:20573
] PluginNotFoundException: oaipmh

| had to remove the oaipmh plugin from the CKAN configuration to make the service work again.

History

#1 - Oct 23, 2017 09:45 AM - Francesco Mangiacrapa
- Status changed from New to In Progress

- % Done changed from 0 to 100

I just checked the production.ini and "oaipmh" plugin does not appear.. Andrea, Have you removed it manually?
Now, SBD catalaogue is running.. https://ckan-sobigdata2.d4science.org/

However, about oaipmh plugin at the moment It must be installed/updated (via ansible, so the production.ini must contain it as ckan.plugin) only on
ckan-bb2 and ckan-d4s. Thanks

#2 - Oct 23, 2017 09:45 AM - Francesco Mangiacrapa

- Status changed from In Progress to Feedback

#3 - Oct 23,2017 10:07 AM - Andrea Dell'Amico

Francesco Mangiacrapa wrote:

| just checked the production.ini and "oaipmh" plugin does not appear.. Andrea, Have you removed it manually?

Yes, | wrote that in the report :).

The question is now why it got into the configuration, while the plugin code not.

#4 - Oct 23, 2017 10:33 AM - Francesco Mangiacrapa
- Status changed from Feedback to Closed
